Last modified: 2012-10-19 17:06:43 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 22769 - MediaWiki:Enotif body: Replace named Parameter
MediaWiki:Enotif body: Replace named Parameter
Status: NEW
Product: MediaWiki
Classification: Unclassified
Email (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: 18521 29170
  Show dependency treegraph
 
Reported: 2010-03-08 18:42 UTC by Umherirrender
Modified: 2012-10-19 17:06 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Umherirrender 2010-03-08 18:42:48 UTC
The system message Enotif body is the only message (I found) with named parameter.

This breaks the use of {{int:}}, because the parser function can only handle numeric parameter.

Please replace the named Parameter from Enotif body by numeric parameter, or let {{int:}} work with that. Thanks.
Comment 1 Siebrand Mazeland 2011-09-12 13:07:54 UTC
Robin, is this something you are interested in getting resolved? Niklas comments: Tried to fix this, but there is annoying lego thingie going here. Keeping BC is not needed. Needs concentration and carefulness.
Comment 2 Robin Pepermans (SPQRobin) 2011-09-12 21:11:48 UTC
Sure, I can try to fix this, but I was wondering what the use case is of {{int:enotif_body}}.. It seems rather email-specific. Maybe for user talk pages?
Comment 3 Robin Pepermans (SPQRobin) 2011-09-12 21:16:35 UTC
There's also 'enotif_subject' with named parameters, in the same function.

Also, are named parameters not something we want? I think they're better than numbers, so maybe we could adapt the parser to allow named parameters?
Comment 4 Sam Reed (reedy) 2012-01-03 17:17:32 UTC
See r99942
Comment 5 Amir E. Aharoni 2012-10-19 17:06:43 UTC
Is this fixed?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links